services:
    app.dotpay:
        class: App\DotpayBundle\Services\DotpayService
        arguments:
            - "%dotpay%"

    ##############################

    app.dotpay_sms:
        class: App\DotpayBundle\Services\DotpaySmsService

    ##############################

    app.dotpay.twig:
        class: App\DotpayBundle\Twig\TwigDotpayExtension
        arguments:
            - '@twig'
            - '@form.factory'
            - '@app.dotpay_sms'
        tags:
            - { name: twig.extension }

    ##############################

    app.dotpay_sms_validator:
        class: App\DotpayBundle\Validator\Constraints\SmsCodeValidator
        arguments:
            - '%dotpay%'
            - '@app.dotpay_sms'
        tags:
            - { name: validator.constraint_validator }